Package Gnumed :: Package timelinelib :: Package wxgui :: Package components :: Package propertyeditors :: Module baseeditor :: Class BaseEditor |
[frames] | no frames]

# Class BaseEditor

source code

    object --+
             |
            BaseEditor

Instance Methods
__init__(self, parent, editor) x.__init__(...) initializes x; see help(type(x)) for signature | source code
create_gui(self) | source code
get_data(self) | source code
set_data(self, data) | source code
focus(self) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, parent, editor) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)